#
# spec file for package kubectl-explore
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kubectl-explore
Version:        0.12.0
Release:        1.1
Summary:        A better kubectl explain with the fuzzy finder
License:        MIT
URL:            https://github.com/keisku/kubectl-explore
Source:         kubectl-explore-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.24.2

%description
This plugin fuzzy-finds the field explanation from supported API resources. It
implements different explanations for particular API version.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags="-X main.Version=%{version}"

%install
# Install the binary.
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Apr  9 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- Update to version 0.12.0:
  * update dependencies
  * gitignore .cursor
  * Update toolchains and deps
* Sun Dec  8 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.11.0:
  * Add `--show-brackets`
  * add install instructions for arch linux
* Sat Sep 21 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.10.0:
  * Update dependencies
  * Update README.md
* Wed May  8 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.9.3:
  * fix regex
  * Fix: cannot find resource when input exactly equals to resource
* Sun May  5 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.9.2:
  * CSIStorageCapacity has been GA since 1.27
  * Fix resource name detection logic from user input
* Fri May  3 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.9.1:
  * don't use a specific verison in README
  * use strings.TrimPrefix instead of TrimLeft
* Fri May  3 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.9.0:
  * bump up version
  * Enrich console output with breadcrumbs
  * use schema.GroupVersionResource
  * Add unit tests for Options.Run
  * remove unused fields
  * make explore package
  * fix if conditional in GtiHub Actions
  * don't run e2e tests for hpa in < 1.27
  * run e2e with k8s version from 1.25 to 1.30
  * update e2e tests
  * use explain v2
  * refactor Options fields
* Sun Apr 28 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.8.3:
  * bump up version
  * update help output
  * update doc and help output
* Sun Apr 28 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.8.2:
  * bump up version
  * update year of LICENSE
  * unpin go version of goreleaser
  * fix: Cannot explain if a filed contains uppercase letters
  * docs: add info about Nix package in README
* Sat Apr 27 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.8.1:
  * version up
  * Fix the bug after solving issue16
* Sat Apr 27 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.8.0:
  * use v0.8.0 in README
  * update demo.gif
  * fix regex when fuzzy-finding from fields from all resources
  * update help
  * explore resources by regex
  * add unit tests
  * refactor
  * update dependencies
  * update on of GitHub Actions
  * update README
* Mon Jan 15 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.7.2:
  * use latest version for every steps
  * bump deps
- BuildRequire go1.21
* Wed Mar  1 2023 Johannes Kastl <kastl@b1-systems.de>
- new package kubectl-explore: A better kubectl explain with the fuzzy finder
